Skip to main content

Get all ApplicationConfigurationVariable(s) for a group

GET 

/qsystem/rest/config/applications/:applicationId/variables/groups/:groupName

Get all ApplicationConfigurationVariable(s) for a group.

  • The applicationId provided must not be null/empty and must represent a valid application that exists in Orchestra.

  • The groupName provided must not be null/empty and must represent a valid ApplicationConfigurationVariable group existing within the application.

Usage:

curl -u user:password -i -X GET http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}/variables/groups/{groupName}

Request​

Responses​

A JSON Array of all ApplicationConfigurationVariable objects that exist in the specified group. For example:

[{ "key":"variable1", "value":"value1", "description":"Description for variable1" }, { "key":"variable2", "value":"value2", "description":"" }]

Returns an empty JSON Array [] if no variables exist in the specified group.